Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 1294933006: Don't use the touch rect when targetting above the touch handles (Closed)

Created:
2 years, 3 months ago by jdduke (slow)
Modified:
2 years, 3 months ago
Reviewers:
mohsen
CC:
chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Don't use the touch rect when targetting above the touch handles The touch selection handles are positioned below the selected line of text. Currently, we use the touch radius to make targetting the handles easier, but this can make it difficult for the user to interact with the selected line of text, e.g., to reposition the cursor by tapping. Fix this by not preventing the handles from consuming touches that are strictly above the touch handle region. BUG=522250 Committed: https://crrev.com/9a8aabd750733342d5d027be868754f25956a757 Cr-Commit-Position: refs/heads/master@{#344374}

Patch Set 1 #

Patch Set 2 : Rebase #

Messages

Total messages: 15 (7 generated)
jdduke (slow)
mohsen@: PTAL, thanks.
2 years, 3 months ago (2015-08-18 22:10:26 UTC) #2
mohsen
lgtm
2 years, 3 months ago (2015-08-18 22:42:18 UTC) #3
commit-bot: I haz the power
This CL has an open dependency (Issue 1293083003 Patch 1). Please resolve the dependency and ...
2 years, 3 months ago (2015-08-18 22:51:50 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1294933006/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1294933006/20001
2 years, 3 months ago (2015-08-19 19:28:23 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/95510)
2 years, 3 months ago (2015-08-19 21:57:24 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1294933006/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1294933006/20001
2 years, 3 months ago (2015-08-19 22:58:11 UTC) #13
commit-bot: I haz the power
Committed patchset #2 (id:20001)
2 years, 3 months ago (2015-08-20 00:11:22 UTC) #14
commit-bot: I haz the power
2 years, 3 months ago (2015-08-20 00:12:26 UTC) #15
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/9a8aabd750733342d5d027be868754f25956a757
Cr-Commit-Position: refs/heads/master@{#344374}

Powered by Google App Engine
This is Rietveld efc10ee0f